| Home | Libraries | People | FAQ | More

## BoostBook element `librarypurpose`

librarypurpose — Describes in one short sentence or phrase the purpose of a library

## Synopsis

librarypurpose ::= (#PCDATA| code| ulink| functionname| methodname| classname| macroname| headername| enumname| globalname)*

## Attributes

Name | Type | Value | Purpose
--- | --- | --- | ---
last-revision | #IMPLIED | CDATA | Set to $Date: 2009-10-10 15:53:46 +0100 (Sat, 10 Oct 2009) $ to keep "last revised" information in sync with CVS changes
id | #IMPLIED | CDATA | A global identifier for this element
xml:base | #IMPLIED | CDATA | Implementation detail used by XIncludes